(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function bubbleSort(array, comparator = (a, b) => a > b) {
        if (!Array.isArray(array) || array.length < 2) {
            return array;
        }
        let isNotSorted = true;
        let size = array.length - 1;
        let temp;
        while (isNotSorted) {
            isNotSorted = false;
            for (let i = 0; i < size; i++) {
                if (comparator(array[i], array[i + 1])) {
                    temp = array[i + 1];
                    array[i + 1] = array[i];
                    array[i] = temp;
                    isNotSorted = true;
                }
            }
        }
        return array;
    }
    exports.default = bubbleSort;
});
//# sourceMappingURL=bubbleSort.js.map